Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class Query

    java.lang.Object
      |
      +--ve.Query

public class Query
extends java.lang.Object

a factor that is the result of a query.

Field Summary
`private Variable[]` | `eo`
`private int` | `maxFactorSize`
`private Factor` | `normresult`
`private Factor` | `result`

Constructor Summary
`Query(Variable[] queryVars, DecisionNetwork dnet, Variable[] observedVars, int[] observedVals, java.lang.String how)` constructs the factor that answers the specific query.
`Query(Variable[] queryVars, DecisionNetwork dnet, Variable[] observedVars, int[] observedVals, Variable[] neweo)`

Method Summary
`private Variable[]` | `determineToSumOut(Variable[] allVars, int numVars, Variable[] queryVars, Variable[] observedVars)`
`Variable[]` | `getEO()`
`int` | `getMaxFactorSize()`
`Factor` | `getResult()` gets the result of the query.
`Factor` | `getUnNormResult()`
`private void` | `shuffle(Variable[] vars)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### result

    private Factor result

### normresult

    private Factor normresult

### eo

    private Variable[] eo

### maxFactorSize

    private int maxFactorSize

Constructor Detail

### Query

    public Query(Variable[] queryVars,
                 DecisionNetwork dnet,
                 Variable[] observedVars,
                 int[] observedVals,
                 java.lang.String how)

  constructs the factor that answers the specific query.
  Parameters:
    `queryVars` - the array of variables being queried. These are assumed to be in order and must be a subset of the variables in bnet.
    `bnet` - a belief network.
    `observedVars` - the array of variables that have observed values. These are assumed to be in order and must be a subset of the variables in bnet.
    `ObservedVals` - the array of values for the corresponding observed values. Each value ObservedVals[i] is the index into ObservedVars[i].domain.

### Query

    public Query(Variable[] queryVars,
                 DecisionNetwork dnet,
                 Variable[] observedVars,
                 int[] observedVals,
                 Variable[] neweo)

Method Detail

### getResult

    public Factor getResult()

  gets the result of the query.

### getUnNormResult

    public Factor getUnNormResult()

### getEO

    public Variable[] getEO()

### getMaxFactorSize

    public int getMaxFactorSize()

### determineToSumOut

    private Variable[] determineToSumOut(Variable[] allVars,
                                         int numVars,
                                         Variable[] queryVars,
                                         Variable[] observedVars)

### shuffle

    private void shuffle(Variable[] vars)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD